SDL_SetTextureScaleMode(3)

NAME
SDL_SetTextureScaleMode - Set the scale mode used for texture scale operations.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetTextureScaleMode(SDL_Texture *texture, SDL_ScaleMode scaleMode);

DESCRIPTION
The default texture scale mode is

SDL_SCALEMODE_LINEAR .

If the scale mode is not supported, the closest supported mode is chosen.

FUNCTION PARAMETERS

texture
    the texture to update.

scaleMode
    the SDL_ScaleMode
     to use for texture scaling.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetTextureScaleMode(3)